class JamesClientError(Exception):
    def __init__(
        self,
        error_code: int,
        error_message: str,
    ) -> None:

        self.error_code = error_code
        self.error_message = error_message

    def __str__(self) -> str:
        return f"JamesClientError: errorCode: {self.error_code}: errorMessage: {self.error_message}"
